import * as core from "@terrascript/core";

export interface LoggingOptionsArgs extends core.ResourceArgs {
  defaultLogLevel: string | core.StringOut;

  disableAllLogs?: boolean | core.BooleanOut;

  roleArn: string | core.StringOut;
}

export class LoggingOptions extends core.Resource<LoggingOptionsArgs> {
  @core.attr(String)
  public defaultLogLevel!: string | core.StringOut;

  @core.attr(Boolean)
  public disableAllLogs?: boolean | core.BooleanOut;

  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String)
  public roleArn!: string | core.StringOut;

  constructor(name: string, args?: LoggingOptionsArgs) {
    super(name, "aws_iot_logging_options", args);
  }

  public override getNamespace(): string {
    return "aws_iot";
  }
}
